#字段扩展管理
---

字段扩展管理，作用于平台本身用户或者是部门填写信息中，现有的信息字段无法满足用户的需求，管理员可以在字段扩展管理中添加一些自定义的字段到用户或部门信息中。

##**基本信息**

| 扩展字段基本信息     |                                                |
|------------------|------------------------------------------------|
| 显示标签         | 扩展字段名称。                                 |
| 类型             | 扩展字段类型，支持字符串/日期。                |
| 所属字段         | 设置前台用户登录使用的帐号所对应的密码。       |
| 所属模块         | 选择扩展字段应用到用户信息表还是部门信息表中。 |
| 是否在列表中显示 | 该字段是否在用户表或部门表中显示出来。         |
| 排序             | 字段扩展管理在列表中先后顺序。                 |

##**配置步骤**

**第一步：切换至【字段扩展管理】操作界面，点击新建按钮添加扩展字段；**

![](imgs/field01.png)

**第二步：填写显示标签字段名称；**

![](imgs/field02.png)

**第三步：设置扩展字段类型；**

![](imgs/field03.png)

**第四步：设置扩展字段绑定系统预设字段；**

![](imgs/field04.png)

**第五步：设置扩展字段应用到哪个表单或者部门信息模块中；**

![](imgs/field05.png)

**第六步：设置是否在列表中显示；**

![](imgs/field06.png)

**第七步：设置排序号；**

![](imgs/field07.png)

**第八步：配置完成，用户信息表中效果展示；**

![](imgs/field08.png)

##**<p style="color:red">注意事项</p>**

**可用脚本获取到扩展字段的值出来。**

**字段扩展管理，常用于平台本身用户或者是部门填写信息中，部分内容不能达到用户的需求，系统管理员可以在字段扩展管理中添加一些新的字段来使用。**

```
(function(){
	var val = "";
	var id = getWebUser().getId();
	if (id != null) {
		var userid = getUserById(id);
		val = userid.getField1();
	}
	return val;
})();
```

![](imgs/field09.png)
